Bug 522168 - virt-manager loses connection, won't reconnect
virt-manager loses connection, won't reconnect
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-09 12:17 EDT by Matthew Booth
Modified: 2009-10-02 09:41 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-18 12:26:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
virt-manager.log when shutdown a vm and disconnect happens (25.15 KB, text/plain)
2009-09-15 06:40 EDT, Gianluca Cecchi
no flags Details

  None (edit)
Description Matthew Booth 2009-09-09 12:17:14 EDT
Description of problem:
virt-manager had been in use. On coming back to the windows I noticed that virt-manager was displaying:

localhost (QEMU) - Not Connected

I had not disconnected it. Double clicking does not reconnect, and generates the following log entry every time:

Sep  9 17:00:40 mbooth libvirtd: 17:00:40.843: error : qemudDomainGetMemoryBalloon:3369 : operation failed: could not query memory balloon allocation

Looking back in the logs, this looks suspicious:

Sep  9 16:52:13 mbooth kernel: device vnet1 entered promiscuous mode
Sep  9 16:52:13 mbooth kernel: virbr0: topology change detected, propagating
Sep  9 16:52:13 mbooth kernel: virbr0: port 2(vnet1) entering forwarding state
Sep  9 16:52:13 mbooth NetworkManager: nm_device_ethernet_new: assertion `driver != NULL' failed
Sep  9 16:52:14 mbooth avahi-daemon[1729]: Registering new address record for xxxx::xxxx:xxxx:xxxx:xxxx on vnet1.*.
Sep  9 16:52:16 mbooth ntpd[2045]: Listening on interface #24 vnet1, xxxx::xxxx:xxxx:xxxx:xxxx#123 Enabled
Sep  9 16:52:18 mbooth nm-system-settings: Added default wired connection 'Auto vnet1' for /org/freedesktop/Hal/devices/net_xx_xx_xx_xx_xx_xx
Sep  9 16:52:39 mbooth avahi-daemon[1729]: Withdrawing address record for xxxx::xxxx:xxxx:xxxx:xxxx on vnet1.
Sep  9 16:52:39 mbooth kernel: virbr0: port 2(vnet1) entering disabled state
Sep  9 16:52:39 mbooth kernel: device vnet1 left promiscuous mode
Sep  9 16:52:39 mbooth kernel: virbr0: port 2(vnet1) entering disabled state
Sep  9 16:52:40 mbooth ntpd[2045]: Deleting interface #24 vnet1, xxxx::xxxx:xxxx:xxxx:xxxx#123, interface stats: received=0, sent=0, dropped=0, active_time=24 secs
Sep  9 16:53:42 mbooth avahi-daemon[1729]: Withdrawing address record for xxxx::xxxx:xxxx:xxxx:xxxx on vnet0.
Sep  9 16:53:42 mbooth kernel: virbr0: port 1(vnet0) entering disabled state
Sep  9 16:53:42 mbooth kernel: device vnet0 left promiscuous mode
Sep  9 16:53:42 mbooth kernel: virbr0: port 1(vnet0) entering disabled state
Sep  9 16:53:43 mbooth libvirtd: 16:53:43.196: error : qemudDomainGetMemoryBalloon:3369 : operation failed: could not query memory balloon allocation
Sep  9 16:53:43 mbooth ntpd[2045]: Deleting interface #22 vnet0, xxxx::xxxx:xxxx:xxxx:xxxx#123, interface stats: received=0, sent=0, dropped=0, active_time=5472 secs

I can still execute virsh commands, but virt-manager will not reconnect. Restarting libvirtd (without restarting virt-manager) fixes the issue.

This is the second time this has happened in 2 days. I can't think of a common cause.

Version-Release number of selected component (if applicable):
libvirt-0.7.1-0.1.git3ef2e05.fc11.x86_64
virt-manager-0.8.0-1.fc11.noarch
Comment 1 Mark McLoughlin 2009-09-11 10:28:00 EDT
Matt: can you get a ~/.virt-manager/virt-manager.log from when this happened?
Comment 2 Gianluca Cecchi 2009-09-15 06:39:19 EDT
I have the same with f11 x86_64 and virt-peview repo
virt-manager-0.8.0-3.fc11.noarch
libvirt-0.7.1-0.2.gitfac3f4c.fc11.x86_64
qemu-0.10.92-1.fc11.x86_64

If I have virt-manager window open and I shutdown a vm (with button shutdown -> shutdown), as soon as the VM halts, the virt-manager connection drops.
In my case I can double click again the row with "QEMU(localhost)" to have the connection up again....

I can attach a video recorded with gtk-recordmydesktop if you wish in ogv format 
(2.2Mb...)
I'm going to attach my virt-manager.log

Gianluca
Comment 3 Gianluca Cecchi 2009-09-15 06:40:14 EDT
Created attachment 361059 [details]
virt-manager.log when shutdown a vm and disconnect happens
Comment 4 Cole Robinson 2009-09-18 12:26:40 EDT
virt-manager's screwy behavior should now be fixed in rawhide. Can any people that were hitting this bug head over to bug 519667 and provide info/confirm the libvirt fix there? Thanks.
Comment 5 Gene Czarcinski 2009-09-18 13:14:57 EDT
Just updated and I can now clean shutdown a guest (previously got "vnc connection lost").
Comment 6 Gianluca Cecchi 2009-10-02 09:41:30 EDT
Ok for me too. Thanks

Note You need to log in before you can comment on or make changes to this bug.